Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Client\Input\Parser\VersionInfo Class Reference

Parser for VersionInfo. More...

Inheritance diagram for eZ\Publish\Core\REST\Client\Input\Parser\VersionInfo:

## Public Member Functions
| __construct (ParserTools $parserTools, ContentService $contentService)
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Member Functions
| convertVersionStatus ($statusString)
| Converts the given $statusString to its constant representation. More...

## Protected Attributes
| $parserTools
| $contentService
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for VersionInfo.

Definition at line 18 of file Core/REST/Client/Input/Parser/VersionInfo.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\Input\Parser\VersionInfo::__construct | ( | ParserTools | $parserTools,
|  | ContentService | $contentService
| ) |  |

Parameters

  \eZ\Publish\Core\REST\Common\Input\ParserTools | $parserTools |
  \eZ\Publish\API\Repository\ContentService | $contentService |

Definition at line 34 of file Core/REST/Client/Input/Parser/VersionInfo.php.

References eZ\Publish\Core\REST\$parserTools.

## Member Function Documentation

## ◆ convertVersionStatus()

eZ\Publish\Core\REST\Client\Input\Parser\VersionInfo::convertVersionStatus | ( |  | $statusString | ) |
| protected

Converts the given $statusString to its constant representation.

Parameters

  string | $statusString |

Returns
  int

Definition at line 78 of file Core/REST/Client/Input/Parser/VersionInfo.php.

References eZ\Publish\API\Repository\Values\Content\VersionInfo\STATUS_ARCHIVED, eZ\Publish\API\Repository\Values\Content\VersionInfo\STATUS_DRAFT, and eZ\Publish\API\Repository\Values\Content\VersionInfo\STATUS_PUBLISHED.

Referenced by eZ\Publish\Core\REST\Client\Input\Parser\VersionInfo\parse().

## ◆ parse()

eZ\Publish\Core\REST\Client\Input\Parser\VersionInfo::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Todo:
  Error handling

Returns
  \eZ\Publish\API\Repository\Values\Content\VersionInfo

Definition at line 50 of file Core/REST/Client/Input/Parser/VersionInfo.php.

References eZ\Publish\Core\REST\Client\Input\Parser\VersionInfo\convertVersionStatus().

## Member Data Documentation

## ◆ $contentService

eZ\Publish\Core\REST\Client\Input\Parser\VersionInfo::$contentService
| protected

Definition at line 28 of file Core/REST/Client/Input/Parser/VersionInfo.php.

## ◆ $parserTools

eZ\Publish\Core\REST\Client\Input\Parser\VersionInfo::$parserTools
| protected

Definition at line 21 of file Core/REST/Client/Input/Parser/VersionInfo.php.

The documentation for this class was generated from the following file:

- Core/REST/Client/Input/Parser/VersionInfo.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.